<template>
  <div class="col-sm-6 col-md-4">
    <div class="panel panel-success">
      <div class="panel-heading">
        <h3 class="panel-title">{{stock.name}}
          <small>(قیمت :
            {{stock.priceNew || stock.price }}
            )
          </small>
        </h3>
      </div>
      <div class="panel-body">
        <div class="pull-right">
          <input type="number"
                 class="form-control"
                 placeholder="مقدار"
                 v-model="quantity"
                 :class="{danger: checkOrderPrice}">
        </div>
        <div class="pull-left">
          <button class="btn "
                  :class="upOrdown()"
                  @click="buyStock"
                  :disabled="checkOrderPrice || quantity <= 0">{{checkOrderPrice ? 'موجود نیست': 'خرید'}}</button>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped>
  .danger{
    border: 1px solid red;
  }
</style>

<script>

  export default{
    props:['stock'],
    data(){
      return {
        quantity: 0
      }
    },
    computed:{
      funds(){
        return this.$store.getters.funds
      },
      checkOrderPrice(){
        return this.quantity * this.stock.price > this.funds
      }
    },
    methods:{
      buyStock(){
        const order = {
          stockId: this.stock.id,
          stockPrice: this.stock.price,
          quantity: this.quantity
        }
        this.$store.dispatch('buyStock', order)
        this.quantity = 0;
      },
      upOrdown(){
       if(this.stock.price > this.stock.priceNew){
         return "btn-danger"
       }else{
         return "btn-success"
       }
      }
    }
  }
</script>